struct WaveHeader
{
    char ChunkID0 ;
    char ChunkID1;
    char ChunkID2;
    char ChunkID3;

    long ChunkSize;
    char Format0;
    char Format1;
    char Format2;
    char Format3;

    char Subchunk1ID0;
    char Subchunk1ID1;
    char Subchunk1ID2;
    char Subchunk1ID3;

    long Subchunk1Size;
    unsigned short AudioFromat;
    unsigned short NumChannels;
    unsigned long SampleRate;
    unsigned long ByteRate;
    unsigned short BlockAlign;
    unsigned short BitPerSample;
    char Subchunk2ID0;
    char Subchunk2ID1;
    char Subchunk2ID2;
    char Subchunk2ID3;
    unsigned long Subchunk2Size;
};

void InitWaveheader(WaveHeader* head,long size)
{
    //head.ChunkID = "RIFF";
    head->ChunkID0 = 'R';
    head->ChunkID1 = 'I';
    head->ChunkID2 = 'F';
    head->ChunkID3 = 'F';
    head->ChunkSize = size - 8;
    //head->Format = "WAVE";
    head->Format0 = 'W';
    head->Format1 = 'A';
    head->Format2 = 'V';
    head->Format3 = 'E';
    //head->Subchunk1ID = "fmt ";
    head->Subchunk1ID0 = 'f';
    head->Subchunk1ID1 = 'm';
    head->Subchunk1ID2 = 't';
    head->Subchunk1ID3 = ' ';
    head->Subchunk1Size = 16;
    head->AudioFromat = 1;
    head->NumChannels = 1;
    head->SampleRate = 8000;
    head->ByteRate = 8000;
    head->BlockAlign = 1;
    head->BitPerSample = 8;
    //head->Subchunk2ID = "data";
    head->Subchunk2ID0 = 'd';
    head->Subchunk2ID1 = 'a';
    head->Subchunk2ID2 = 't';
    head->Subchunk2ID3 = 'a';
    head->Subchunk2Size = size - 44;
}

